FreeMat

- Main Page
- Related Pages

BUILTIN Evaulate Builtin Function

Section: FreeMat Functions

# Usage

The `builtin` function evaluates a built in function with the given name, bypassing any overloaded functions. The syntax of `builtin` is

      [y1,y2,...,yn] = builtin(fname,x1,x2,...,xm)

where `fname` is the name of the function to call. Apart from the fact that `fname` must be a string, and that `builtin` always calls the non-overloaded method, it operates exactly like `feval`. Note that unlike MATLAB, `builtin` does not force evaluation to an actual compiled function. It simply subverts the activation of overloaded method calls.